# 5. Manual Plugin Installation

The plugin can be downloaded from the following link for x86 devices:

{% embed url="<https://artifactory.nxvms.dev/artifactory/nxai_open/NXAIPlugin/release/libnxai_plugin.so>" %}
Plugin download link x86\_64
{% endembed %}

Or ARM64 devices:

{% embed url="<https://artifactory.nxvms.dev/artifactory/nxai_open/NXAIPlugin/release/libnxai_plugin_aarch64.so>" %}
Plugin download link arm64
{% endembed %}

Once downloaded, copy the plugin file to the appropriate Nx Meta plugins folder.

```
/opt/networkoptix-metavms/mediaserver/bin/plugins/nxai_plugin/libnxai_plugin.so
```

The folder and the plugin file should be named in this exact way. Rename the plugin file if necessary.

Make sure to give read and write permissions to the created directory so that the NX AI Plugin can create the files it needs by running:

```
sudo chmod -R 777 /opt/networkoptix-metavms/mediaserver/bin/plugins/nxai_plugin
```

Once installed, the Nx Meta Server must be [restarted](/nx-ai-manager-v4.x/support-and-troubleshooting/troubleshooting/controlling-the-server-and-the-plugin.md) before the plugin is detected.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nx.docs.scailable.net/nx-ai-manager-v4.x/nx-ai-manager/5.-manual-plugin-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
